Page MenuHomePhabricator

iOS app table of contents icon is wrong in RTL interfaces
Closed, ResolvedPublic

Description

When the iPod's UI is Hebrew, the icon that opens the table of contents appears with the triangle pointing to the lines (▶☰) and the icon that closes the table of contents appears with the triangle pointing away from the lines (◀☰).

When the iPod's UI is English, it is the opposite.


Version: Beta
Severity: normal

Details

Reference
bz70491

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:54 AM
bzimport set Reference to bz70491.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Sep 6 2014, 1:56 PM

I tried this in version 4.0.2.1.

brion added a comment.Sep 10 2014, 7:47 PM

Sounds like we might have flipped these by swapping when we need to transform...

Change 160081 had a related patch set uploaded by Brion VIBBER:
Fix RTL appearance of new ToC icons

https://gerrit.wikimedia.org/r/160081

Change 160081 merged by Mhurd:
Fix RTL appearance of new ToC icons

https://gerrit.wikimedia.org/r/160081

brion added a comment.Sep 23 2014, 9:36 PM

This should be fixed in the next store release if it's not in the current one (I forget which made it into what)

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM